---
title: 'Feature-Policy: sync-xhr'
slug: Web/HTTP/Headers/Feature-Policy/sync-xhr
tags:
  - Directive
  - Feature Policy
  - Feature-Policy
  - HTTP
  - Reference
  - XMLHttpRequest
---
<p>{{HTTPSidebar}} {{SeeCompatTable}}</p>

<p>The HTTP {{HTTPHeader("Feature-Policy")}} header <code>sync-xhr</code> directive controls whether the current document is allowed to make synchronous {{domxref("XMLHttpRequest")}} requests.</p>

<h2 id="Syntax">Syntax</h2>

<pre>Feature-Policy: sync-xhr &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy", "allowlist")}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>By default the policy is set to <code>*</code>, which means synchronous requests are allowed in all frames.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Feature Policy")}}</td>
   <td>{{Spec2("Feature Policy")}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td><a href="https://xhr.spec.whatwg.org/#feature-policy-integration">WHATWG Spec</a></td>
   <td></td>
   <td>Default policy is <code>*</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("http.headers.Feature-Policy.sync-xhr")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
</ul>
